%define	mname	adonthell
%define	rname	wastesedge
%define	name	%{mname}-%{rname}

Name:		%{name}
Summary:	Role-playing game (RPG)
Version:	0.3.4
Release:	%mkrel 7
License:	GPL v2+
Group:		Games/Adventure
Source0:	http://freesoftware.fsf.org/download/adonthell/%{rname}-src-%{version}.tar.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
URL:		http://adonthell.linuxgames.com/
BuildArch:	noarch
Requires:	%{mname} >= %{version}
BuildRequires:	%{mname} >= %{version}
BuildRequires:	python
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
As a loyal servant of the elven Lady Silverhair, you arrive at the remote
trading post of Waste's Edge, where she is engaged in negotiations with the
dwarish merchant Bjarn Fingolson. But not all is well at Waste's Edge, and
soon you are confronted with circumstances that are about to destroy your
mistress' high reputation. And you are the only one to avert this...

%prep
%setup -q -n %{rname}-%{version}

%build
./configure	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}/%{mname}/games/%{rname} \
		--with-adonthell-binary=%{_gamesbindir}/%{mname}

%make

%install
rm -rf %{buildroot}
%{makeinstall_std} datadir=%{_datadir}

mkdir -p %{buildroot}%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Categories=Game;AdventureGame;
Name=Adonthell - Waste's Edge
Comment=Open source role-playing game
EOF

install -m644 %{SOURCE11} -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%find_lang %{rname}

%if %mdkversion < 200900
%post
%{update_menus}
%{update_icon_cache hicolor}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%{clean_icon_cache hicolor}
%endif

%clean
rm -rf %{buildroot}

%files -f %{rname}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS PLAYING README
%attr(755, -, -) %{_gamesbindir}/%{name}
%{_gamesdatadir}/%{mname}/games/%{rname}
%{_datadir}/pixmaps/*
%{_datadir}/applications/mandriva-%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png



%changelog
* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.4-7mdv2011.0
+ Revision: 616501
- the mass rebuild of 2010.0 packages

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 0.3.4-6mdv2010.0
+ Revision: 436628
- rebuild

* Sun Apr 12 2009 Michael Scherer <misc@mandriva.org> 0.3.4-5mdv2009.1
+ Revision: 366440
- fix license
- rebuilt to make game work again ( #48641 )

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 0.3.4-4mdv2009.0
+ Revision: 218428
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Feb 28 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.4-4mdv2008.1
+ Revision: 175969
- fix #38216 (launch script not executable)

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.3.4-3mdv2008.1
+ Revision: 170696
- rebuild

* Wed Jan 16 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.4-2mdv2008.1
+ Revision: 153592
- buildrequires python
- rebuild for new era
- fd.o icons
- better summary
- spec clean

  + Thierry Vignaud <tv@mandriva.org>
    - auto convert menu to XDG
    - kill re-definition of %%buildroot on Pixel's request
    - use %%mkrel

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Thu Apr 21 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.3.4-1mdk
- 0.3.4
- fix perms

* Thu Aug 26 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.3.3-4mdk
- rebuild for new menu

* Wed Feb 04 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.3.3-3mdk
- rebuild for python 2.3
- add --with-adonthell-binary to configure to allow rebuilding
- don't bzip2 icons in src.rpm

* Thu Jul 31 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.3.3-2mdk
- don't use soundwrapper
- change summary macro to avoid conflicts with debug package

* Fri Nov 15 2002 Per Øyvind Karlsen <peroyvind@delonic.no> 0.3.3-1mdk
- First release

